Get Earliest Timestamp
curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"interval": "1min"
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp"
payload = {
"symbol": "<string>",
"interval": "1min"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: '<string>', interval: '1min'})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => '<string>',
'interval' => '1min'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp"
payload := strings.NewReader("{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}"
response = http.request(request)
puts response.read_body{
"datetime": "<string>",
"unix_time": 123
}Twelve Data
Get Earliest Timestamp
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
twelvedata
/
get-earliest-timestamp
Get Earliest Timestamp
curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"interval": "1min"
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp"
payload = {
"symbol": "<string>",
"interval": "1min"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: '<string>', interval: '1min'})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => '<string>',
'interval' => '1min'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp"
payload := strings.NewReader("{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"<string>\",\n \"interval\": \"1min\"\n}"
response = http.request(request)
puts response.read_body{
"datetime": "<string>",
"unix_time": 123
}请求规范
- 方法与路径: POST /apis/v1/twelvedata/get-earliest-timestamp
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/twelvedata/get-earliest-timestamp - Runtime 事实版本: be86868d55452e2d3238a78a01e84ee4ea754154da2627dd8e94fd2d5f19c061
{
"operationId": "twelvedata.get-earliest-timestamp",
"method": "POST",
"path": "/apis/v1/twelvedata/get-earliest-timestamp",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"figi": {
"type": "string",
"description": "FIGI identifier. One of symbol/figi/isin/cusip is required."
},
"isin": {
"type": "string",
"description": "ISIN identifier. One of symbol/figi/isin/cusip is required."
},
"cusip": {
"type": "string",
"description": "CUSIP identifier. One of symbol/figi/isin/cusip is required."
},
"symbol": {
"minLength": 1,
"pattern": "^[^,]+$",
"type": "string",
"description": "Ticker symbol to query (e.g., 'AAPL'). One of symbol/figi/isin/cusip is required."
},
"exchange": {
"type": "string",
"description": "Exchange where the instrument is traded (optional disambiguation filter)."
},
"interval": {
"enum": [
"1min",
"5min",
"15min",
"30min",
"45min",
"1h",
"2h",
"4h",
"1day",
"1week",
"1month"
],
"type": "string",
"examples": [
"1min",
"1day"
],
"description": "Interval for data resolution."
},
"mic_code": {
"type": "string",
"description": "Market Identifier Code (ISO 10383) to filter results (optional)."
},
"timezone": {
"type": "string",
"description": "Output timezone: 'Exchange', 'UTC', or any IANA timezone name (optional)."
}
},
"required": [
"interval",
"symbol"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Ticker symbol to query (e.g., 'AAPL'). One of symbol/figi/isin/cusip is required.
Minimum string length:
1Pattern:
^[^,]+$Interval for data resolution.
可用选项:
1min, 5min, 15min, 30min, 45min, 1h, 2h, 4h, 1day, 1week, 1month 示例:
"1min"
"1day"
FIGI identifier. One of symbol/figi/isin/cusip is required.
ISIN identifier. One of symbol/figi/isin/cusip is required.
CUSIP identifier. One of symbol/figi/isin/cusip is required.
Exchange where the instrument is traded (optional disambiguation filter).
Market Identifier Code (ISO 10383) to filter results (optional).
Output timezone: 'Exchange', 'UTC', or any IANA timezone name (optional).